Subject: Workspace module breaks when having two node with same path
Description

Due to the uniqueness of paths, the workspace module breaks if you have two nodes on the same level with the same path. E.g. two
subpages or a subpage and a section with the same path.

We need to figure out what we can do about this issue, since it will become a regular problem.

Related issues:
related to TYPO3.Neos - Bug # 45542: Workspace module breaks with error Closed 2013-02-17

History
#1 - 2013-03-18 14:40 - Bastian Waidelich

Just some (not really sophisticated) thoughts that came up on this one:
Probably it would have been good to change the path for "non-folder" nodes from "/sites/site/page1/page2/main/text1" to s.th. like
"/sites/site/page1/page2/_sections/main/_elements/text1" but that would be quite a (breaking?) change.
In any case we should always validate changes to the TYPO3CR before persisting them..
In this case it would mean that you couldn't change the URI to "main.html" (if you have a section "main", too) but in the long run routing and node
names should be separate anyways

#2 - 2013-05-17 18:33 - Sebastian Kurfuerst
- Status changed from New to Accepted
- Assigned To set to Tim Kandel

#3 - 2013-07-03 12:04 - Gerrit Code Review
- Status changed from Accepted to Under Review

Patch set 1 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/21830

#4 - 2013-10-11 15:48 - Aske Ertmann
- Status changed from Under Review to Rejected

We decided not to fix this in the workspace module, but instead make sure it's not possible with the TYPO3CR API

#5 - 2014-11-02 18:22 - Aske Ertmann
- Status changed from Rejected to Closed
